//% color="#AA278D" iconWidth=50 iconHeight=40
namespace json {

    //% block="Setup" blockType="command"
    
    export function Setup(parameter: any, block: any) {
        Generator.addInclude('json', '#include <ArduinoJson.h>');
        Generator.addObject(`jsonBuffer1`, `DynamicJsonBuffer`, `jsonBuffer;`);

        Generator.addObject(`Char`, `const char*`, `content;`);
        
    }
    //% block="get the json[STR] params[params]" blockType="command"
    //% STR.shadow="string" STR.defl="Json字符串"
    //% params.shadow="string" params.defl="键名"
    export function getjson(parameter: any, block: any) {
        let str = parameter.STR.code
        let params_val = parameter.params.code
       
     
        Generator.addCode(`content =jsonBuffer.parseObject(${str})[${params_val}];`);
        
    }
        //% block="get content" blockType="reporter"
        export function getcontent(parameter: any, block: any) {
       
        Generator.addCode('content');
        
    }
    

     //% block="get the [STRing] [FIND] [WITH]" blockType="command"
    //% STRing.shadow="string" STRing.defl="被查找字符串"
    //% FIND.shadow="string" FIND.defl="查找内容"
     //% WITH.shadow="string" WITH.defl="替换为"
    export function CONreplace(parameter: any, block: any) {
        let STRing = parameter.STRing.code
        let FIND = parameter.FIND.code
        let WITH = parameter.WITH.code
        Generator.addCode(`${STRing}.replace(${FIND},${WITH});`);
        
        
    }

}
